Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 100198 - Expression steps return values history shows wrong data for constructors
Expression steps return values history shows wrong data for constructors
Status: VERIFIED WONTFIX
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-06 10:40 UTC by ehucka
Modified: 2007-06-22 11:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ehucka 2007-04-06 10:40:30 UTC
NetBeans IDE Dev (Build 200704051800)
1.6.0; Java HotSpot(TM) Client VM 1.6.0-b105
Linux version 2.6.16-1.2122_FC5 running on i386

Example:

System.out.println((msgMemory.format (new Object[] {
                                      new Long (total),
                                      new Long (free),
                                      new Integer (taken)})));

If I pass through all methods in this expression by Step Over Expression 'Return
values history' node in Local variables view will contain items like:

return <init>()  void  void

probably showing return values of the constructors but return value of
constructor is constructed object.
There should be:

return <init>()  Long  #number or
return Long()    Long  #number
Comment 1 Martin Entlicher 2007-04-06 13:04:31 UTC
This needs to be further explored. So far it looks like the constructor call has
really void return value. I'll verify this and create a request for JDI to
return the object that is constructed.
I have a plan to replace <init> with the name of the constructor...
Comment 2 Martin Entlicher 2007-05-23 15:02:43 UTC
This is not fixable in NetBeans. The return value of the constructor is really
<void value> according to JDI.
I've submitted defect #6561156 for that.
It will start to work correctly after that JDI defect is fixed.
Comment 3 ehucka 2007-06-22 11:01:02 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo